{% extends "base.html" %}

{% load crispy_forms_tags %}

{% block contenido %}
	<div class="container">
		<div class="row">
			<div class="col mt-3">
				{% if form.errors %}
					<p class="lead">Su nombre de usuario y contraseña no coinciden. Por favor, inténtalo de nuevo.</p>
				{% endif %}
				{% if next %}
					{% if user.is_authenticated %}
						<p>Su cuenta no tiene acceso a esta página. Para proceder, por favor ingrese con una cuenta.</p>
					{% endif %}			
				{% endif %}
			</div>
		</div>
		<div class="row">
			<div class="col mt-3 p-3 mb-2 bg-light text-dark border border-success rounded">
				<form method="post" action="{% url 'login' %}">
					{% csrf_token %}
					<div class="row">
						<div class="col-6">
							{{ form.username|as_crispy_field }}
						</div>
					</div>
					<div class="row">
						<div class="col-6">
							{{ form.password|as_crispy_field }}
						</div>
					</div>
					<div>
						<input class="btn btn-secondary text-white" type="submit" value="Ingresar">
						<input type="hidden" name="next" value="{{ next }}">
					</div>
				</form>
			</div>
		</div>
	</div>
{% endblock contenido %}

